const String getStaffScheduleSchema = '''
query GetStaffSchedule {
  me {
    id
    schedule {
      id
      type
      start_at
      end_at
      day_of_week
    }
  }
}
''';

const String createStaffScheduleMutationSchema = r'''
mutation CreateStaffSchedule($input: [StaffScheduleInput!]!) {
  create_staff_schedule(input: $input) {
    id
    type
    start_at
    end_at
    day_of_week
  }
}
''';

const String updateStaffScheduleMutationSchema = r'''
mutation UpdateStaffSchedule($id: ID!, $input: StaffScheduleInput!) {
  update_staff_schedule(id: $id, input: $input) {
    id
    type
    start_at
    end_at
    day_of_week
  }
}
''';

const String deleteStaffScheduleMutationSchema = r'''
mutation DeleteStaffSchedule($ids: [ID!]!) {
  delete_staff_schedule(ids: $ids) {
    id
    type
    start_at
    end_at
    day_of_week
  }
}
''';
